<template>
    <div class="row">
        <div class="col-lg-12">
            <div class="card m-b-30">
                <div class="card-header">
                    <h5 class="card-title">Cursos relacionados</h5>
                </div>
                <div class="card-body">
                    <!-- Start row -->
                    <div class="row">
                        <!-- Start col -->
                        <div
                            v-for="curso in cursos"
                            :key="curso.id"
                            class="col-lg-6 col-xl-3"
                        >
                            <div class="product-bar m-b-30">
                                <div class="product-head">
                                    <a :href="'/curso/' + curso.slug_id"
                                        ><img
                                            :src="curso.feature_image"
                                            class="img-fluid"
                                            alt="product"
                                    /></a>
                                </div>
                                <div class="product-body py-3">
                                    <div class="row align-items-center">
                                        <div class="col-12">
                                            <div class="d-inline-block">
                                                <span
                                                    class="text-uppercase font-12 f-w-6"
                                                    >{{ categoria.name }}</span
                                                >
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row align-items-center">
                                        <div class="col-12">
                                            <h6 class="mt-1 mb-3">
                                                {{ curso.title }}
                                            </h6>
                                        </div>
                                    </div>
                                    <div class="row align-items-center">
                                        <div class="col-6">
                                            <div class="text-left">
                                                <h5 class="f-w-7 mb-0">
                                                    <sup
                                                        v-if="curso.price_sale"
                                                        class="font-16"
                                                        >$</sup
                                                    >{{
                                                        curso.price_sale
                                                            ? curso.price_sale
                                                            : ""
                                                    }}
                                                    <span
                                                        :class="
                                                            curso.price_sale
                                                                ? 'text-danger descount'
                                                                : ''
                                                        "
                                                        ><sup class="font-16"
                                                            >$</sup
                                                        >{{ curso.price }}</span
                                                    >
                                                </h5>
                                            </div>
                                        </div>
                                        <div class="col-6">
                                            <div class="text-right">
                                                <button
                                                    type="button"
                                                    class="btn btn-primary-rgba font-18"
                                                >
                                                    <i
                                                        class="feather icon-shopping-bag"
                                                    ></i>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- End col -->
                    </div>
                    <!-- End row -->
                </div>
            </div>
        </div>
    </div>
</template>

<script>
export default {
    props: ["category", "curso"],
    created() {},
    mounted() {
        this.get();
    },
    data() {
        return {
            categoria: this.category,
            cursos: []
        };
    },
    methods: {
        get() {
            var url = "/api/cursos/category/" + this.categoria;
            axios
                .get(url)
                .then(res => {
                    this.cursos = res.data.cursos.filter(
                        curso => curso.id != this.curso
                    );

                    this.categoria = res.data;
                })
                .catch(err => {
                    console.log(err);
                });
        }
    }
};
</script>
